Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.util
Class CatalogResourceManager

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.util.CatalogResourceManager

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class CatalogResourceManager

extends Object

Utility class used for accessing named Product Catalog resources within the `wlcs-catalog` `ResourceBundle` resource file.

See Also
  `ResourceBundle`

Method Summary
`static Integer` | `getInteger(String key)` Deprecated See BEA Commerce product offering
`static Enumeration` | `getKeys()` Deprecated See BEA Commerce product offering
`static Object` | `getObject(String key)` Deprecated See BEA Commerce product offering
`static PreparedStatement` | `getPreparedStatement(Connection con, String key)` Deprecated See BEA Commerce product offering
`static String` | `getString(String key)` Deprecated See BEA Commerce product offering
`static String[]` | `getStringArray(String key)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static String getString(String key)
                            throws MissingResourceException

  Deprecated See BEA Commerce product offering

  Get a string resource referenced by a key.

  Parameters
    `key` - the name of the resource
  Returns
    the resource as a String
  Throws
    `MissingResourceException` - if the resource bundle could not be found

### getInteger

    public static Integer getInteger(String key)
                              throws MissingResourceException,
                                     NumberFormatException

  Deprecated See BEA Commerce product offering

  Get an Integer resource referenced by a key.

  Parameters
    `key` - the name of the resource
  Returns
    the resource as an Integer
  Throws
    `MissingResourceException` - if the resource bundle could not be found
    `NumberFormatException` - if the resource specified by the key is not valid

### getPreparedStatement

    public static PreparedStatement getPreparedStatement(Connection con,
                                                         String key)
                                                  throws MissingResourceException,
                                                         SQLException

  Deprecated See BEA Commerce product offering

  Create a PreparedStatemetn from a string resource referenced by a key.

  Parameters
    `con` - the Database Connection
    `key` - the name of the resource
  Returns
    the resource as a String
  Throws
    `MissingResourceException` - if the resource bundle could not be found
    `SQLException` - on statement preparation error

### getStringArray

    public static String[] getStringArray(String key)
                                   throws MissingResourceException

  Deprecated See BEA Commerce product offering

  Get a string array resource referenced by a key.

  Parameters
    `key` - the name of the resource
  Returns
    the resource as a String[]
  Throws
    `MissingResourceException` - if the resource bundle could not be found

### getObject

    public static Object getObject(String key)
                            throws MissingResourceException

  Deprecated See BEA Commerce product offering

  Get an Object resource referenced by a key.

  Parameters
    `key` - the name of the resource
  Returns
    the resource as an Object
  Throws
    `MissingResourceException` - if the resource bundle could not be found

### getKeys

    public static Enumeration getKeys()
                               throws MissingResourceException

  Deprecated See BEA Commerce product offering

  Get all the keys for the resource bundle.

  Returns
    the Enumeration of keys.
  Throws
    `MissingResourceException` - if the resource bundle could not be found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved